Hello There, Guest! Login Register


PROShine 1.3.0.0
#1
Changes since 1.2.0.1:

QuoteGeneral:
+ Implement the Lua scripting language, with a lot of new features.
* Rewrote most of the networking code.
* Lots of code refactoring.

Bot:
+ Can now buy items from shops like pokemarts or vending machines.
+ Can now select the answer to use in a dialog instead of using the first one.
+ Can now select a pokémon in a dialog (dig, headbutt...).
+ Add a log message to display how many seconds the auto-reconnector will wait before retrying.
- Reduce the CPU usage a lot when the players tab is not selected.
- Fix the SOCKS5 username/password authentication not always working.
- Fix the bot not answering to some automatically opened dialogs (saffron...).

Interface:
+ Add the current pokémon time.
* Replace the toggle icons by ON and OFF, more explicit.
- Fix the logout button not accessible when connected but not authenticated.
- Fix the window freezing when switching a toggle during the connection.
- The CP2 and CP3 animation messages are no longer displayed in the log.

Included scripts:
+ Create the Scripts/ directory, containing lua scripts.
* Replace the "Route 1" and "Route 2" leveling scripts by lua scripts.

Here is the long awaited new scripting language: Lua!
Lua will slowly replace all Json scripts over time. It is easier to write and more powerful. You can find the API documentation here.

You can read the two included scripts to understand how the basics work.
For a more advanced usage, check out these scripts:
- Vermillion Gym - Surge Puzzle
- [Questing] From the beginning to Viridian

Run the PROShine launcher to automatically download this update.
If, for any reason, you cannot use the updater, you can also download the updated version here:
PROShine_1300.7z
(1,948,084 bytes | sha256: 9caea23068670dbebd585e2f7244d21a1fe7630883f1cc02a082ebb7e821bb02)
 
Reply
#2
<3 <3 <3
 
Reply
#3
<3 .... You are Love
 
Reply
#4
i cant update
 
Reply
#5
megaman i cant update
What is the error?

Edit: I added a download link to the original post for the ones that cannot use or do not want to use the updater.
 
Reply
#6
Very nice! Keep up the nice work. :-)
 
Reply
#7
Can i see anywhere a list of 'all' actions and conditions ? i think the list is not up2date, for example there isnt a condition "isset" explanation
 
Reply
#8
https://proshine-bot.com/viewtopic.php?id=537
There you go.
 
Reply
#9
Sharpadogge Can i see anywhere a list of 'all' actions and conditions ? i think the list is not up2date, for example there isnt a condition "isset" explanation
The new list is available here: https://proshine-bot.com/viewtopic.php?id=537

The old JSON scripts are still working but no longer supported, I recommend learning Lua instead.

Edit: Too slow. Sad
 
Reply
#10
Silv3r
Sharpadogge Can i see anywhere a list of 'all' actions and conditions ? i think the list is not up2date, for example there isnt a condition "isset" explanation
The new list is available here: https://proshine-bot.com/viewtopic.php?id=537

The old JSON scripts are still working but no longer supported, I recommend learning Lua instead.

Edit: Too slow. Sad

Just a little bit to slow. Tongue
 
Reply
#11
I found a massive bug.
[69:69:69] A wile Caterpie has appeared.
 
Reply
#12
cant stop loving you!!
 
Reply
#13
Yes! So excited to start using Lua.. Thanks for this Big Grin
If you want a personalized script, feel free to DM me. I have nothing better to do.  Big Grin
 
Reply
#14
Nice Thank
 
Reply
#15
any chance to support python scripting ?
 
Reply
  


Forum Jump:


Browsing: 1 Guest(s)